Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.sun.enterprise.ee.cms.core
Class GMSCacheable

    java.lang.Object
      com.sun.enterprise.ee.cms.core.GMSCacheable

All Implemented Interfaces:
  Serializable, Comparator

    public class GMSCacheable

extends Object
implements Serializable, Comparator

Support class for DistributedStateCacheImpl. This class provides an encapsulation for the details that represent a composite key for the cache.

Version:
  $Revision: 1.6 $
Author:
  Shreedhar Ganapathy Date: May 9, 2005
See Also:
  Serialized Form

Constructor Summary
`GMSCacheable(String componentName, String memberTokenId, Object key)`
`GMSCacheable(String componentName, String memberTokenId, Serializable key)`

Method Summary
`int` | `compare(Object o, Object o1)`
`boolean` | `equals(Object o)` We compare the contents of the GMSCacheable argument passed in with the contents of this instance and determine if they are the same.
`String` | `getComponentName()`
`Object` | `getKey()`
`String` | `getMemberTokenId()`
`int` | `hashCode()`
`String` | `toString()`

Methods inherited from class java.lang.Object
`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

Constructor Detail

### GMSCacheable

    public GMSCacheable(String componentName,
                        String memberTokenId,
                        Serializable key)

### GMSCacheable

    public GMSCacheable(String componentName,
                        String memberTokenId,
                        Object key)

Method Detail

### compare

    public int compare(Object o,
                       Object o1)

  Specified by:
    `compare` in interface `Comparator`

### hashCode

    public int hashCode()

  Overrides:
    `hashCode` in class `Object`

### equals

    public boolean equals(Object o)

  We compare the contents of the GMSCacheable argument passed in with the contents of this instance and determine if they are the same.

  Specified by:
    `equals` in interface `Comparator`
  Overrides:
    `equals` in class `Object`

### getComponentName

    public String getComponentName()

### getMemberTokenId

    public String getMemberTokenId()

### getKey

    public Object getKey()

### toString

    public String toString()

  Overrides:
    `toString` in class `Object`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2003 Copyright 2004 Sun Microsystems, Inc. All rights reserved. Use is subject to license terms.